import { ITelegramStorageProvider, PartialOnly } from '@mtcute/core';
import { BaseTelegramClientOptions as BaseTelegramClientOptionsBase, TelegramClientOptions, BaseTelegramClient as BaseTelegramClientBase, TelegramClient as TelegramClientBase } from '@mtcute/core/client.js';
export type { TelegramClientOptions };
export interface BaseTelegramClientOptions extends PartialOnly<Omit<BaseTelegramClientOptionsBase, 'storage'>, 'transport' | 'crypto' | 'platform'> {
    /**
     * Storage to use for this client.
     *
     * If a string is passed, it will be used as
     * a name for an IndexedDB database.
     *
     * @default `"client.session"`
     */
    storage?: string | ITelegramStorageProvider;
}
export declare class BaseTelegramClient extends BaseTelegramClientBase {
    constructor(opts: BaseTelegramClientOptions);
}
/**
 * Telegram client for use in Node.js
 */
export declare class TelegramClient extends TelegramClientBase {
    constructor(opts: TelegramClientOptions);
}
